#include "stdafx.h"
#include "Proxy.h"
#include "Loader.h"
#include "Config.h"
 
using namespace Config;
 
HRESULT CProxy::FinalConstruct()
{
    HRESULT hr = S_OK;
 
    CLoader *pLoader = CLoader::TheInstance();
    IfNullGo(pLoader);
 
    IfFailGo(pLoader->CreateInstance(FrameworkVersion(), AssemblyName(), ClassName(),
        __uuidof(IDTExtensibility2), (void **)&m_pConnect));
 
Error:
    return hr;
}
 
void CProxy::FinalRelease()
{
    if (m_pConnect)
        m_pConnect->Release();
}

